Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BTreeDatabase..::.PutNoDuplicate Method (DatabaseEntry, DatabaseEntry, Transaction)
BTreeDatabase Class See Also Send Feedback

Store the key/data pair in the database only if it does not already appear in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void PutNoDuplicate(
    	DatabaseEntry key,
    	DatabaseEntry data,
    	Transaction txn
    )

Visual Basic (Declaration)
    Public Sub PutNoDuplicate ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry, _
    	txn As Transaction _
    )

Visual C++
    public:
    void PutNoDuplicate(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data,
    	Transaction^ txn
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key to store in the database

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data item to store in the database

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

# See Also

BTreeDatabase Class
PutNoDuplicate Overload
BerkeleyDB Namespace